import EventDispispatcher from './EventDispatcher';
import Topic from './Topic';
type TopicEventType = 'editnode' | 'clicknode';
declare class TopicEventDispatcher extends EventDispispatcher<TopicEventType> {
    private _readOnly;
    private static _instance;
    constructor(readOnly: boolean);
    close(update: boolean): void;
    show(topic: Topic, textOverwrite?: string): void;
    process(eventType: TopicEventType, topic: Topic, textOverwrite?: string): void;
    isVisible(): boolean;
    static configure(readOnly: boolean): TopicEventDispatcher;
    static getInstance(): TopicEventDispatcher;
}
export default TopicEventDispatcher;
